cURL
curl --request GET \ --url https://api.letpiper.com/v1/orgs/{org_id}/knowledge/documents/{document_id} \ --header 'Authorization: Bearer <token>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "collectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "filename": "<string>", "mimeType": "<string>", "bytesIngested": 123, "processingStatus": "<string>", "processingProgress": 123, "createdAt": "2023-11-07T05:31:56Z", "relativePath": "<string>", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "processingError": "<string>", "language": "<string>", "rawContent": "<string>", "chunks": [] }
Get detailed document information. Requires: Any role in the organization.
Platform token (starts with pat_)
Successful Response
Detailed document view with content and chunks.
Show child attributes